# DeDriverLicenseFront class

German driver license (Führerschein), front side

Inheritance
  - Object
  - GenericDocumentWrapper
  - DeDriverLicenseFront

## Constructors

DeDriverLicenseFront.new(GenericDocument document)

## Properties

birthDate → ValidatedTextFieldWrapper
  Birth date (Field 3.)
  no setter
birthplace → TextFieldWrapper
  Birthplace (Field 3.)
  no setter
document → GenericDocument
  final inherited
expiryDate → ValidatedTextFieldWrapper
  Expiry date (Field 4b.)
  no setter
givenNames → TextFieldWrapper
  Given names (Field 2.)
  no setter
hashCode → int
  The hash code for this object.
  no setter inherited
id → TextFieldWrapper
  Document ID number (in the top-right corner, Field 5.)
  no setter
issueDate → ValidatedTextFieldWrapper
  Issue date (Field 4a.)
  no setter
issuingAuthority → TextFieldWrapper
  Issuing authority (Field 4c.)
  no setter
licenseCategories → TextFieldWrapper
  Driver's license categories (Field 9.)
  no setter
photo → TextFieldWrapper
  Photo image
  no setter
requiredDocumentType → String
  no setter override
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
serialNumber → TextFieldWrapper?
  Serial number (Field 5b. on Driver Qualification Card)
  no setter
signature → TextFieldWrapper
  Signature image (Field 7.)
  no setter
surname → TextFieldWrapper
  Surname (Field 1.)
  no setter

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

DOCUMENT_NORMALIZED_TYPE → const String
  Normalized document type name of this document wrapper.
DOCUMENT_TYPE → const String
  Generic document type name of this document wrapper.